<?php
/**
 * Clase Base Bean para BaseCrCovid19paramBN
 *
 * @package    Sedapal
 * @subpackage BaseCrCovid19paramBN
 * @author     Willy
 * @version    SVN:: BaseCrCovid19paramBN.class.php,v 1.1 2020-04-15 14:47:46 william.taype Exp $
 */
abstract class BaseCrCovid19paramBN
{
  protected $Fechapara;
  protected $Fechareinicio;
  protected $Mensaje;
  protected $Error;

  public function getFechapara(){
    return $this->Fechapara;
  }
  public function setFechapara($v1){
    $this->Fechapara = $v1; 
  }

  public function getFechareinicio(){
    return $this->Fechareinicio;
  }
  public function setFechareinicio($v1){
    $this->Fechareinicio = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_covid19paramBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_covid19paramRs )
  {
    $o_CrCovid19paramBN = new CrCovid19paramBN();
    $o_CrCovid19paramBN->setFechapara( $o_Cr_covid19paramRs['fechapara'] );
    $o_CrCovid19paramBN->setFechareinicio( $o_Cr_covid19paramRs['fechareinicio'] );
    return $o_CrCovid19paramBN;
  }
}